## FolksObjectCache

FolksObjectCache — A generic abstract cache for sets of objects. This can be used by subclasses to implement caching of homogeneous sets of objects. Subclasses simply have to implement serialisation and deserialisation of the objects to and from GVariants.

## Types and Values

#define | FOLKS_TYPE_OBJECT_CACHE
struct | FolksObjectCache
struct | FolksObjectCacheClass

## Description

It's intended that this class be used for providing caching layers for FolksPersonaStores, for example.

## Functions

## Types and Values

### FOLKS_TYPE_OBJECT_CACHE

    #define FOLKS_TYPE_OBJECT_CACHE (folks_object_cache_get_type ())

The type for FolksObjectCache.

### struct FolksObjectCache

    struct FolksObjectCache {
    	GObject parent_instance;
    	FolksObjectCachePrivate * priv;
    };

A generic abstract cache for sets of objects. This can be used by subclasses to implement caching of homogeneous sets of objects. Subclasses simply have to implement serialisation and deserialisation of the objects to and from GVariants.

It's intended that this class be used for providing caching layers for FolksPersonaStores, for example.

Since: 0.6.0

### struct FolksObjectCacheClass

    struct FolksObjectCacheClass {
    	GObjectClass parent_class;
    	GVariantType* (*get_serialised_object_type) (FolksObjectCache* self, guint8 object_version);
    	guint8 (*get_serialised_object_version) (FolksObjectCache* self);
    	GVariant* (*serialise_object) (FolksObjectCache* self, gconstpointer object);
    	gpointer (*deserialise_object) (FolksObjectCache* self, GVariant* variant, guint8 object_version);
    };

The class structure for `FOLKS_TYPE_OBJECT_CACHE`. All the fields in this structure are private and should never be accessed directly.

#### Members

`get_serialised_object_type` () | virtual method used internally |
`get_serialised_object_version` () | virtual method used internally |
`serialise_object` () | virtual method used internally |
`deserialise_object` () | virtual method used internally |